﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OZX
{
    public class OzPDU_OZX_Login_Resp : OzPDU_OZX
    {
        //**********************************
        // Command ID
        //**********************************

        public override byte GetCommandID()
        {
            return Login_Resp; 
        }

        //**********************************
        // Data
        //**********************************

        public bool Success;

        public string Message;

        //**********************************
        // Construct
        //**********************************
        public OzPDU_OZX_Login_Resp()
        {
            Success = true;
        }

        //**********************************
        // Encode
        //**********************************
        protected override byte[] EncodeData()
        {
            var message = OzCommonBytes.StringToBytes(Message);

            var ret = new byte[1+message.Length];
            ret[0] = OzCommonBytes.BoolToByte(Success);
            Buffer.BlockCopy(message, 0, ret, 1, message.Length);
            return ret;
        }

        //**********************************
        // DecodeData
        //**********************************

        protected override void DecodeData(byte[] src, ref int offset)
        {
            Success = OzCommonBytes.BytesToBool(src, ref offset);
            Message = OzCommonBytes.BytesToString(src, ref offset);
        }
    }
}
